Index: pom.xml
===================================================================
--- pom.xml	(revision 40768)
+++ pom.xml	(revision 40769)
@@ -122,135 +122,9 @@
   <properties>
       <gvsig.package.info.codealias>org.gvsig.projection.app.mainplugin</gvsig.package.info.codealias>
 	  <gvsig.package.info.official>true</gvsig.package.info.official>
-	  <gvsig.package.info.dependencies>conflict: org.gvsig.projection.app.proj4j -ge 1</gvsig.package.info.dependencies>
+	  <gvsig.package.info.dependencies>conflict: org.gvsig.projection.app.proj4j -ge 1, conflict: org.gvsig.projection.app.jcrs -ge 1</gvsig.package.info.dependencies>
+	  <gvsig.install.plugin>false</gvsig.install.plugin>
   </properties>
 
-  <profiles>
-      <profile>
-        <id>gvsig-plugin</id>
-        <activation>
-          <file>
-            <exists>buildNumber.properties</exists>
-          </file>
-        </activation>
-        <build>
-          <plugins>
-
-            <plugin>
-                <artifactId>maven-assembly-plugin</artifactId>
-                <executions>
-                  <execution>
-                    <id>gvsig-plugin-package</id>
-                    <phase>package</phase>
-                    <goals>
-                        <goal>single</goal>
-                    </goals>
-                  </execution>
-                </executions>
-            </plugin>
-
-            <plugin>
-              <artifactId>maven-clean-plugin</artifactId>
-              <configuration>
-                <skip>false</skip>
-                <failOnError>true</failOnError>
-                <filesets>
-                  <fileset>
-                    <directory>${gvsig.product.folder.path}/gvSIG/extensiones/${project.artifactId}</directory>
-                  </fileset>
-                </filesets>
-              </configuration>
-              <executions>
-                <execution>
-                  <id>default-clean</id>
-                  <phase>clean</phase>
-                </execution>
-              </executions>
-            </plugin>
-
-
-            <plugin>
-              <groupId>org.codehaus.gmaven</groupId>
-              <artifactId>gmaven-plugin</artifactId>
-              <executions>
-
-                <execution>
-                  <id>increase-build-number</id>
-                  <phase>process-sources</phase>
-                  <goals>
-                    <goal>execute</goal>
-                  </goals>
-                </execution>
-
-                <execution>
-                  <id>build-package-info</id>
-                  <phase>prepare-package</phase>
-                  <goals>
-                    <goal>execute</goal>
-                  </goals>
-                </execution>
-
-                <execution>
-                  <id>build-package-index</id>
-                  <phase>package</phase>
-                  <goals>
-                    <goal>execute</goal>
-                  </goals>
-                </execution>
-
-                <execution>
-                  <id>install-plugin</id>
-                  <phase>install</phase>
-                  <goals>
-                    <goal>execute</goal>
-                  </goals>
-                  <configuration>
-                    <source><![CDATA[
-                      //
-                      // Don't install the gvsig plugin by default in the product/gvSIG/extensiones,
-                      // only install the package in the product/install folder.
-                      //
-                      ant = new AntBuilder()
-                      pkgname = "gvSIG-desktop-" + 
-                        project.properties["gvsig.package.info.gvSIGVersion"] + "-" + 
-                        project.artifactId + "-" + 
-                        project.properties["gvsig.package.info.version"] + "-" + 
-                        project.properties["buildNumber"] + "-" + 
-                        project.properties["gvsig.package.info.state"] + "-" + 
-                        project.properties["gvsig.package.info.operatingSystem"] + "-" + 
-                        project.properties["gvsig.package.info.architecture"] + "-" + 
-                        project.properties["gvsig.package.info.javaVM"]
-                        
-                      source = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspkg.zip"
-                      target = new File(project.properties["gvsig.product.folder.path"] + 
-                        "/install/" + 
-                        project.artifactId + "/" +
-                        pkgname + ".gvspkg")
-                      target.getParentFile().mkdirs()
-
-                      log.info("Copy plugin package from " + source + " to " + target)
-                      ant.copy(file:source, tofile:target.getAbsolutePath())
-
-                      source  = project.basedir.getAbsolutePath() + "/target/" + pkgname + ".gvspki"
-                      target = project.properties["gvsig.product.folder.path"] + 
-                        "/install/" + 
-                        project.artifactId + "/" +
-                        pkgname + ".gvspki"
-                      log.info("Copy plugin package index from " + source + " to " + target)
-                      ant.copy(file:source, tofile:target)
-
-                    ]]></source>
-                  </configuration>
-                </execution>
-
-              </executions>
-            </plugin>
-
-          </plugins>
-        </build>
-      </profile>
-
-  </profiles>
-
 </project>
 