Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/marker/impl/SimpleMarkerSymbol.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/marker/impl/SimpleMarkerSymbol.java	(revision 41434)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.impl/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/marker/impl/SimpleMarkerSymbol.java	(revision 41435)
@@ -54,12 +54,12 @@
 public class SimpleMarkerSymbol extends AbstractMarkerSymbol implements ISimpleMarkerSymbol {
 
 	public static final String SIMPLE_MARKER_SYMBOL_PERSISTENCE_DEFINITION_NAME = "SimpleMarkerSymbol";
-	
-	private static final String FIELD_OUTLINED = "outlined"; 
-	private static final String FIELD_OUTLINECOLOR = "outlineColor"; 
-	private static final String FIELD_OUTLINESIZE = "outlineSize"; 
-	private static final String FIELD_MARKERSTYLE = "markerStyle"; 
 
+	private static final String FIELD_OUTLINED = "outlined";
+	private static final String FIELD_OUTLINECOLOR = "outlineColor";
+	private static final String FIELD_OUTLINESIZE = "outlineSize";
+	private static final String FIELD_MARKERSTYLE = "markerStyle";
+
 	private boolean outlined;
 	private Color outlineColor;
 	private double outlineSize;
@@ -69,7 +69,7 @@
 	public SimpleMarkerSymbol() {
 		super();
 	}
-	
+
 	public ISymbol getSymbolForSelection() {
 		if (selectionSymbol == null) {
 			selectionSymbol = (SimpleMarkerSymbol) cloneForSelection();
@@ -82,7 +82,7 @@
 		int x, y;
 		org.gvsig.fmap.geom.primitive.Point p = (org.gvsig.fmap.geom.primitive.Point)geom.cloneGeometry();
 		p.transform(affineTransform);
-		
+
 		int size = (int) getSize();
 
 		int halfSize = size/2;
@@ -116,6 +116,12 @@
 			genPath.lineTo(x + halfSize, y);
 			g.draw(genPath);
 			break;
+		case VERTICAL_LINE_STYLE:
+			genPath = new GeneralPathX();
+			genPath.moveTo(x + halfSize, y);
+			genPath.lineTo(x + halfSize, y + size);
+			g.draw(genPath);
+			break;
 		case DIAMOND_STYLE:
 			x = x + halfSize;
 			y = y + halfSize;
@@ -205,6 +211,7 @@
 			case STAR_STYLE:
 			case X_STYLE:
 			case TRIANGLE_STYLE:
+			case VERTICAL_LINE_STYLE:
 				g.draw(genPath);
 				break;
 			}
@@ -291,12 +298,12 @@
 
 	public Object clone() throws CloneNotSupportedException {
 		SimpleMarkerSymbol copy = (SimpleMarkerSymbol) super.clone();
-		
+
 		// clone selection
 		if (selectionSymbol != null) {
 			copy.selectionSymbol = (ISymbol) selectionSymbol.clone();
 		}
-		
+
 		return copy;
 	}
 
@@ -335,7 +342,7 @@
 		}
 	}
 
-	
+
 	public static class RegisterPersistence implements Callable {
 
 		public Object call() throws Exception {
@@ -345,7 +352,7 @@
 						SimpleMarkerSymbol.class,
 						SIMPLE_MARKER_SYMBOL_PERSISTENCE_DEFINITION_NAME,
 						SIMPLE_MARKER_SYMBOL_PERSISTENCE_DEFINITION_NAME+" Persistence definition",
-						null, 
+						null,
 						null
 				);
 				// Extend the FillSymbol base definition
@@ -362,7 +369,7 @@
 			}
 			return Boolean.TRUE;
 		}
-		
+
 	}
 
 	public static class RegisterSymbol implements Callable {
@@ -379,7 +386,7 @@
 
 			return Boolean.TRUE;
 		}
-		
+
 	}
 
 }
\ No newline at end of file
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.api/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/marker/IMarkerSymbol.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.api/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/marker/IMarkerSymbol.java	(revision 41434)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.lib/org.gvsig.symbology.lib.api/src/main/java/org/gvsig/symbology/fmap/mapcontext/rendering/symbol/marker/IMarkerSymbol.java	(revision 41435)
@@ -38,7 +38,7 @@
  * @author   jaume dominguez faus - jaume.dominguez@iver.es
  */
 public interface IMarkerSymbol extends ISymbol, CartographicSupport {
-	
+
 	public static final String SYMBOL_NAME = "marker";
 
 	public static final int CIRCLE_STYLE = 0;
@@ -48,6 +48,7 @@
 	public static final int X_STYLE = 4;
 	public static final int TRIANGLE_STYLE = 5;
 	public static final int STAR_STYLE = 6;
+	public static final int VERTICAL_LINE_STYLE = 7;
 
 	/**
 	 * Returns the rotation (in radians, counter-clockwise) of the marker symbol
@@ -91,15 +92,15 @@
 	 * @param color
 	 */
 	public abstract void setColor(Color color);
-	
+
 	/**
 	 * Defines the transparency of a line symbol.
-	 * 
+	 *
 	 * @param outlineAlpha
 	 *            , the transparency
 	 */
 	void setAlpha(int alpha);
-	
+
 	/**
 	 *
 	 * @return the mask of the symbol
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.swing/org.gvsig.symbology.swing.api/src/main/java/org/gvsig/app/gui/styling/JComboBoxSimpleMarkeStyles.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.swing/org.gvsig.symbology.swing.api/src/main/java/org/gvsig/app/gui/styling/JComboBoxSimpleMarkeStyles.java	(revision 41434)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.symbology/org.gvsig.symbology.swing/org.gvsig.symbology.swing.api/src/main/java/org/gvsig/app/gui/styling/JComboBoxSimpleMarkeStyles.java	(revision 41435)
@@ -46,7 +46,7 @@
  */
 public class JComboBoxSimpleMarkeStyles extends JComboBox{
 	/**
-	 * 
+	 *
 	 */
 	private static final long serialVersionUID = 3018193423738880772L;
 	private Color symColor = Color.BLACK;
@@ -60,6 +60,7 @@
 		new MyItem(IMarkerSymbol.X_STYLE),
 		new MyItem(IMarkerSymbol.TRIANGLE_STYLE),
 		new MyItem(IMarkerSymbol.STAR_STYLE),
+		new MyItem(IMarkerSymbol.VERTICAL_LINE_STYLE),
 	};
 
 	/**