Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/resources-plugin/i18n/text.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 42079)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 42080)
@@ -36,6 +36,7 @@
 _Strange_behavior_if_selected_ID_not_unique_values=La capa tendr\u00e1 comportamiento extra\u00f1o si el campo elegido como ID no tiene valores \u00fanicos
 _Remove_connection_parameters_from_list_question=\u00bfDesea eliminar de la lista los par\u00e1metros que han causado el problema?
 _JDBCConecctionPanel_foother=Tenga en cuenta que el nombre de usuario y la  contrase\u00f1a deben coincidir en mayusculas y minusculas con el registrado en la base de dato.
+delete=Borrar
 
 
 
@@ -54,4 +55,3 @@
 
 
 
-
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 42079)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 42080)
@@ -36,6 +36,7 @@
 _Strange_behavior_if_selected_ID_not_unique_values=The layer will have strange behavior if field selected as ID does not have unique values
 _Remove_connection_parameters_from_list_question=Do you wish to remove the offending parameters from the list?
 _JDBCConecctionPanel_foother=Note that the user name and password must match case sensitive with that recorded in the data base.
+delete=Delete
 
 
 
@@ -56,4 +57,3 @@
 
 
 
-
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/UserTableSettingsVectorialPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/UserTableSettingsVectorialPanel.java	(revision 42079)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/UserTableSettingsVectorialPanel.java	(revision 42080)
@@ -129,7 +129,7 @@
 		waLabel.setText(PluginServices.getText(this, "_Working_area"));
 		geomLabel = new JLabel();
 		// geomLabel.setBounds(new java.awt.Rectangle(240, 55, 111, 21));
-		geomLabel.setBounds(new java.awt.Rectangle(70, 140, 160, 21));
+		geomLabel.setBounds(new java.awt.Rectangle(8, 140, 160, 21));
 		geomLabel.setText(PluginServices.getText(this, "_Geo_field"));
 
 		add(getGeomComboBox(), null);
@@ -153,7 +153,7 @@
 			panelProj = CRSSelectPanel.getPanel(pro);
 
 			panelProj.setTransPanelActive(true);
-			panelProj.setBounds(70, 165, 350, 21);
+			panelProj.setBounds(8, 165, 477, 21);
 			panelProj.addActionListener(new java.awt.event.ActionListener() {
 				public void actionPerformed(java.awt.event.ActionEvent e) {
 					if (panelProj.isOkPressed()) {
@@ -183,7 +183,7 @@
 		if (geomComboBox == null) {
 			geomComboBox = new JComboBox();
 			// geomComboBox.setBounds(new java.awt.Rectangle(355, 55, 131, 21));
-			geomComboBox.setBounds(new java.awt.Rectangle(243, 140, 174, 21));
+			geomComboBox.setBounds(new java.awt.Rectangle(150, 140, 335, 21));
 			geomComboBox.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/UserTableSettingsPanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/UserTableSettingsPanel.java	(revision 42079)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/UserTableSettingsPanel.java	(revision 42080)
@@ -123,11 +123,11 @@
     protected void initialize(boolean _empty) {
         tableNamejLabel = new JLabel();
         tableNamejLabel.setText(PluginServices.getText(this, "_Name"));
-        tableNamejLabel.setSize(new java.awt.Dimension(86, 21));
+        tableNamejLabel.setSize(new java.awt.Dimension(100, 21));
         tableNamejLabel.setLocation(new java.awt.Point(8, 25));
         sqlLabel = new JLabel();
         // sqlLabel.setBounds(new java.awt.Rectangle(30, 90, 116, 21));
-		sqlLabel.setBounds(new java.awt.Rectangle(30, 55, 116, 21));
+		sqlLabel.setBounds(new java.awt.Rectangle(30, 55, 150, 21));
         sqlLabel.setText(PluginServices.getText(this, "_SQL_restriction"));
         idLabel = new JLabel();
         // idLabel.setBounds(new java.awt.Rectangle(5, 55, 86, 21));
@@ -264,7 +264,7 @@
             // sqlTextAreaScroll.setBounds(new java.awt.Rectangle(160, 90, 326,
 			// 41));
 			sqlTextAreaScroll
-					.setBounds(new java.awt.Rectangle(120, 55, 372, 53));
+					.setBounds(new java.awt.Rectangle(150, 55, 335, 53));
             sqlTextAreaScroll.setViewportView(getSqlTextArea());
             sqlTextAreaScroll.updateUI();
         }