Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataParameters.java	(revision 42102)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataParameters.java	(revision 42103)
@@ -24,6 +24,9 @@
 
 package org.gvsig.fmap.dal.spi;
 
+//import com.google.gson.stream.JsonReader;
+//import com.google.gson.stream.JsonToken;
+import java.io.StringWriter;
 import java.util.Iterator;
 
 import org.gvsig.fmap.dal.DataParameters;
@@ -39,6 +42,9 @@
 import org.gvsig.tools.persistence.exception.PersistenceException;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
+//import com.google.gson.stream.JsonWriter;
+//import java.io.IOException;
+//import java.io.StringReader;
 
 /**
  * @author jmvivo
@@ -54,8 +60,73 @@
 	public String toString() {
 		return getDelegatedDynObject().toString();
 	}
-	
-	public void setDynValue(String name, Object value) {
+
+//        public boolean fromString(String values) {
+//            boolean ok = true;
+//            try {
+//                DynObject obj = getDelegatedDynObject();
+//                JsonReader reader = new JsonReader(new StringReader(values));
+//                reader.setLenient(true);
+//                reader.beginObject();
+//                String name = null;
+//                String value = null;
+//                while (reader.hasNext()) {
+//                    name ="unknow";
+//                    try {
+//                        name = reader.nextName();
+//                        if (reader.peek() == JsonToken.NULL) {
+//                            value = null;
+//                        } else {
+//                            value = reader.nextString();
+//                        }
+//                        obj.setDynValue(name, value);
+//                    } catch (Exception ex) {
+//                        logger.warn("Can't restore parameter '"+name+"' from string "+values+".", ex);
+//                        ok = false;
+//                    }
+//                }
+//                reader.endObject();
+//            } catch (IOException ex) {
+//                logger.warn("Can't restore parameters from string "+values+".", ex);
+//                ok = false;
+//            }
+//            return ok;
+//        }
+//
+//        public String toString() {
+//            try {
+//                DynObject obj = getDelegatedDynObject();
+//                DynClass dynClass = obj.getDynClass();
+//                DynField[] fields = dynClass.getDynFields();
+//                StringWriter swriter = new StringWriter();
+//                JsonWriter writer = new JsonWriter(swriter);
+//                writer.setSerializeNulls(true);
+//                writer.setLenient(true);
+//                writer.setHtmlSafe(false);
+//                writer.setIndent("");
+//                writer.beginObject();
+//                if (  fields != null && fields.length >0 ) {
+//                    for ( int i = 0; i < fields.length; i++ ) {
+//                        String fieldname = fields[i].getName();
+//                        Object value = obj.getDynValue(fieldname);
+//                        writer.name(fieldname);
+//                        if( value == null ) {
+//                            writer.value((String)null);
+//                        } else {
+//                            writer.value(value.toString());
+//                        }
+//                    }
+//                }
+//                writer.endObject();
+//                writer.close();
+//                return swriter.toString();
+//            } catch (IOException ex) {
+//                logger.warn("Can't serializar DataParamerters correctly.",ex);
+//                return getDelegatedDynObject().toString();
+//            }
+//        }
+//
+        public void setDynValue(String name, Object value) {
 		DelegatedDynObject delegated = getDelegatedDynObject();
 		if (delegated.getDynClass().getDynField(name)!=null){
 			delegated.setDynValue(name, value);	