Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/pom.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/pom.xml	(revision 42561)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/pom.xml	(revision 42562)
@@ -234,6 +234,79 @@
       <artifactId>autocomplete</artifactId>
       <scope>runtime</scope>
     </dependency>
+    
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-awt-util</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-bridge</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-ext</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-gui-util</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-gvt</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-script</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-xml</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-anim</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-css</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-dom</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-js</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-parser</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>org.apache.xmlgraphics</groupId>
+          <artifactId>batik-svg-dom</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      <dependency>
+          <groupId>xml-apis</groupId>
+          <artifactId>xml-apis-ext</artifactId>
+          <scope>runtime</scope>
+      </dependency>
+      
+          
   </dependencies>
 
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 42561)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 42562)
@@ -63,20 +63,6 @@
         <include>net.sf:jsi</include>
         <include>gnu.trove:trove</include>
 
-        <include>org.apache.xmlgraphics:batik-anim</include>
-        <include>org.apache.xmlgraphics:batik-css</include>
-        <include>org.apache.xmlgraphics:batik-dom</include>
-        <include>org.apache.xmlgraphics:batik-js</include>
-        <include>org.apache.xmlgraphics:batik-parser</include>
-        <include>org.apache.xmlgraphics:batik-svg-dom</include>
-        <include>org.apache.xmlgraphics:batik-awt-util</include>
-        <include>org.apache.xmlgraphics:batik-bridge</include>
-        <include>org.apache.xmlgraphics:batik-gvt</include>
-        <include>org.apache.xmlgraphics:batik-script</include>
-        <include>org.apache.xmlgraphics:batik-ext</include>
-
-        <include>xml-apis:xml-apis-ext</include>
-        
         <include>org.gvsig:org.gvsig.fmap.control</include>
         <include>org.gvsig:org.gvsig.fmap.dal.api</include>
         <include>org.gvsig:org.gvsig.fmap.dal.db.lib</include>
@@ -84,8 +70,8 @@
         <include>org.gvsig:org.gvsig.fmap.dal.file.lib</include>
         <include>org.gvsig:org.gvsig.fmap.dal.impl</include>
         <include>org.gvsig:org.gvsig.fmap.dal.spi</include>
-       <include>org.gvsig:org.gvsig.fmap.dal.swing.api</include>
-       <include>org.gvsig:org.gvsig.fmap.dal.swing.impl</include>
+        <include>org.gvsig:org.gvsig.fmap.dal.swing.api</include>
+        <include>org.gvsig:org.gvsig.fmap.dal.swing.impl</include>
         <include>org.gvsig:org.gvsig.fmap.mapcontext.api</include>
         <include>org.gvsig:org.gvsig.fmap.mapcontext.impl</include>
         <include>org.gvsig:org.gvsig.fmap.mapcontext.operation</include>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/pom.xml	(revision 42561)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/pom.xml	(revision 42562)
@@ -204,11 +204,6 @@
           <artifactId>org.gvsig.fmap.dal.file.lib</artifactId>
           <scope>compile</scope>
       </dependency>
-<!--       <dependency> -->
-<!--           <groupId>org.gvsig</groupId> -->
-<!--           <artifactId>org.gvsig.fmap.dal.file.shp</artifactId> -->
-<!--           <scope>compile</scope> -->
-<!--       </dependency> -->
       <dependency>
           <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.symbology.lib.impl</artifactId>
@@ -224,11 +219,6 @@
           <artifactId>org.gvsig.fmap.dal.spi</artifactId>
           <scope>compile</scope>
       </dependency>
-<!--       <dependency> -->
-<!--           <groupId>org.gvsig</groupId> -->
-<!--           <artifactId>org.gvsig.fmap.dal.file.dbf</artifactId> -->
-<!--           <scope>compile</scope> -->
-<!--       </dependency> -->
 
       <!-- Dependencias de runtime -->
       <!-- Ordered by artifactId -->
@@ -261,17 +251,6 @@
       <!--
       <dependency>
           <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.fmap.geometry.generalpath</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.fmap.geometry.operation</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      -->
-      <dependency>
-          <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.fmap.geometry.jts</artifactId>
           <scope>runtime</scope>
       </dependency>
@@ -280,6 +259,7 @@
           <artifactId>org.gvsig.fmap.geometry.operation.jts</artifactId>
           <scope>runtime</scope>
       </dependency>
+      -->
       <dependency>
           <groupId>org.gvsig</groupId>
           <artifactId>org.gvsig.fmap.mapcontext.impl</artifactId>
@@ -365,77 +345,10 @@
         <artifactId>sqljep</artifactId>
         <scope>runtime</scope>
       </dependency>
+      
+      
+
       <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-awt-util</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-bridge</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-ext</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-gui-util</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-gvt</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-script</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-xml</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-anim</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-css</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-dom</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-js</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-parser</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.apache.xmlgraphics</groupId>
-          <artifactId>batik-svg-dom</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
-          <groupId>xml-apis</groupId>
-          <artifactId>xml-apis-ext</artifactId>
-          <scope>runtime</scope>
-      </dependency>
-      <dependency>
           <groupId>com.h2database</groupId>
           <artifactId>h2</artifactId>
           <scope>runtime</scope>