Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerManager.java	(revision 42684)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.installer/org.gvsig.installer.swing/org.gvsig.installer.swing.impl/src/main/java/org/gvsig/installer/swing/impl/DefaultSwingInstallerManager.java	(revision 42685)
@@ -370,12 +370,14 @@
 	}
 
 	public void setDefaultDownloadURL(File defaultDownloadURLs) {
+                if( defaultDownloadURLs == null || !defaultDownloadURLs.exists() ) {
+                    return;
+                }
 		InputStream is;
 		try {
 			is = new FileInputStream(defaultDownloadURLs);
 		} catch (FileNotFoundException e1) {
-			logger.error(
-					"Can't open the file " + defaultDownloadURLs.getName(), e1);
+			logger.warn("Can't open the file " + defaultDownloadURLs.getName(), e1);
 			return;
 		}
 		BufferedReader in = new BufferedReader(new InputStreamReader(is));
@@ -385,13 +387,13 @@
 				try {
 					this.addDefaultDownloadURL(line);
 				} catch (MalformedURLException e) {
-					logger.error(
+					logger.warn(
 							"Error creating the default packages download URL pointing to "
 									+ line, e);
 				}
 			}
 		} catch (IOException e) {
-			logger.error("Error reading the file "
+			logger.warn("Error reading the file "
 					+ defaultDownloadURLs.getName(), e);
 		}
 	}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java	(revision 42684)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.framework/org.gvsig.andami/src/main/java/org/gvsig/andami/Launcher.java	(revision 42685)
@@ -3636,7 +3636,7 @@
             if (line.hasOption("installURLFile")) {
                 installURLFile = line.getOptionValue("installURLFile");
             } else {
-                installURLFile = myArgs[1] + "/org.gvsig.installer.app.mainplugin/defaultDownloadsURLs";
+                installURLFile = "gvsig-installer-urls.config";
             }
 
             if (!hasAllMandatoryOptions) {
@@ -3662,30 +3662,27 @@
         initializeInstallerManager();
 
         InstallerManager installerManager = InstallerLocator.getInstallerManager();
+        
+//        try {
+//            logger.info("Loading plugins configurations");
+//            this.loadPluginConfigs();
+//        } catch (Throwable ex) {
+//            logger.warn("Can't load plugins configurations", ex);
+//        }
+//
+//        try {
+//            logger.info("Loading plugins");
+//            this.loadPluginServices();
+//        } catch (Throwable ex) {
+//            logger.warn("Can't load plugins", ex);
+//        }
 
-        try {
-            logger.info("Loading plugins configurations");
-            this.loadPluginConfigs();
-        } catch (Throwable ex) {
-            logger.warn("Can't load plugins configurations", ex);
-        }
-
-        try {
-            logger.info("Loading plugins");
-            this.loadPluginServices();
-        } catch (Throwable ex) {
-            logger.warn("Can't load plugins", ex);
-        }
-
         AndamiConfig config = getAndamiConfig();
 
         initializeIdentityManagement(new File(config.getPluginsDirectory()).getAbsoluteFile());
 
         initializeLibraries();
 
-//        config.setLocaleLanguage(locale.getLanguage());
-//        config.setLocaleCountry(locale.getCountry());
-//        config.setLocaleVariant(locale.getVariant());
         packageInfo = getPackageInfo(myArgs[1]);
 
         // set the gvSIG version to the install manager, to compose the download URL
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/src/main/izpack/include/pack_all_platforms.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/src/main/izpack/include/pack_all_platforms.xml	(revision 42684)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/src/main/izpack/include/pack_all_platforms.xml	(revision 42685)
@@ -1,4 +1,4 @@
- 
+
     <pack name="gvSIG desktop commons" required="yes">
       <description>Core common files for all platforms</description>
       <file src="${product.folder}/gvSIG.sh" targetdir="$INSTALL_PATH"/>
@@ -12,7 +12,8 @@
       <file src="${product.folder}/LEEME.txt" targetdir="$INSTALL_PATH"/>
       <file src="${product.folder}/LICENSE.txt" targetdir="$INSTALL_PATH"/>
       <file src="${product.folder}/README.txt" targetdir="$INSTALL_PATH"/>
-      
+      <file src="${product.folder}/gvsig-installer-urls.config" targetdir="$INSTALL_PATH"/>
+
       <fileset dir="${product.folder}/update" targetdir="${INSTALL_PATH}/update" override="true"/>
       <fileset dir="${product.folder}/i18n" targetdir="${INSTALL_PATH}/i18n" override="true"/>
       <fileset dir="${product.folder}/install" targetdir="${INSTALL_PATH}/install" override="true"/>
@@ -21,10 +22,9 @@
       <fileset dir="${product.folder}/icon-theme" targetdir="${INSTALL_PATH}/icon-theme" override="true"/>
       <fileset dir="${product.folder}/native" targetdir="${INSTALL_PATH}/native" override="true"/>
       <fileset dir="${product.folder}/tools" targetdir="${INSTALL_PATH}/tools" override="true"/>
-      <fileset dir="${product.folder}/gvSIG/extensiones/org.gvsig.coreplugin.app.mainplugin" targetdir="${INSTALL_PATH}/gvSIG/extensiones/org.gvsig.coreplugin.app.mainplugin" override="true"/>
-      <fileset dir="${product.folder}/gvSIG/extensiones/org.gvsig.installer.app.mainplugin" targetdir="${INSTALL_PATH}/gvSIG/extensiones/org.gvsig.installer.app.mainplugin" override="true"/>
+
       <file src="${product.folder}/gvSIG/README.txt" targetdir="${INSTALL_PATH}/gvSIG"/>
-      
-      <executable targetfile="$INSTALL_PATH/gvSIG.sh" stage="never" keep="true"/>      
+
+      <executable targetfile="$INSTALL_PATH/gvSIG.sh" stage="never" keep="true"/>
     </pack>
-    
+
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 42684)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 42685)
@@ -32,10 +32,8 @@
 import java.io.InputStream;
 import java.io.InputStreamReader;
 import java.net.MalformedURLException;
-import java.util.logging.Level;
 
 import org.gvsig.andami.IconThemeHelper;
-import org.gvsig.andami.Launcher;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.PluginsManager;
@@ -149,6 +147,12 @@
                     .getSwingInstallerManager();
 
             try {
+                manager.setDefaultDownloadURL(
+                        new File( pm.getApplicationFolder(),"gvsig-installer-urls.config")
+                );
+                manager.setDefaultDownloadURL(
+                        new File( pm.getPlugin(this).getPluginDirectory(),"defaultDownloadsURLs")
+                );
                 if (packageInfo != null && (packageInfo.getState().startsWith(InstallerManager.STATE.BETA)
                         || packageInfo.getState().startsWith(InstallerManager.STATE.RC)
                         || packageInfo.getState().equalsIgnoreCase(InstallerManager.STATE.FINAL))) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/pom.xml	(revision 42684)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/pom.xml	(revision 42685)
@@ -46,7 +46,7 @@
         <groupId>org.slf4j</groupId>
         <artifactId>slf4j-api</artifactId>
         <scope>compile</scope>
-    </dependency>        
+    </dependency>
 
   </dependencies>
 
@@ -62,7 +62,41 @@
             <skipTests>true</skipTests>
           </configuration>
         </plugin>
+        
+          <plugin>
+            <groupId>org.codehaus.gmaven</groupId>
+            <artifactId>gmaven-plugin</artifactId>
+            <executions>        
+             <execution>
+		  <id>install-installer-urls</id>
+		  <phase>install</phase>
+                    <goals>
+                      <goal>execute</goal>
+                    </goals>
+                <configuration>
+		      <source><![CDATA[
+  if( project.properties["buildNumber"] != null) {
+    if( project.properties["gvsig.install.plugin"]=="true" ) {
+      // Copy defaultDownloadsURLs to install root
+      ant = new AntBuilder()
+      source = project.properties["gvsig.product.folder.path"] +
+	"/gvSIG/extensiones/" +
+	project.properties["gvsig.package.info.code"] +
+	"/defaultDownloadsURLs"
 
+      target = project.properties["gvsig.product.folder.path"] +
+	"/gvsig-installer-urls.config"
+      log.info("Copy plugin 'gvsig-installer-urls.config' from " + source + " to " + target)
+      ant.copy(file:source, tofile:target)
+    }
+  }
+		    ]]></source>
+		  </configuration>
+	      </execution>
+
+            </executions>
+          </plugin>        
+        
       </plugins>
   </build>
 