Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:33 CEST 2016
-buildNumber=2329
+#Thu Sep 22 10:41:20 CEST 2016
+buildNumber=2330
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:33 CEST 2016
-buildNumber=2328
+#Thu Sep 22 10:41:20 CEST 2016
+buildNumber=2329
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:40 CEST 2016
-buildNumber=122
+#Thu Sep 22 10:41:21 CEST 2016
+buildNumber=123
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:29 CEST 2016
-buildNumber=2205
+#Thu Sep 22 10:41:16 CEST 2016
+buildNumber=2206
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:41 CEST 2016
-buildNumber=60
+#Thu Sep 22 10:41:22 CEST 2016
+buildNumber=61
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:30 CEST 2016
-buildNumber=2205
+#Thu Sep 22 10:41:17 CEST 2016
+buildNumber=2206
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:28 CEST 2016
-buildNumber=173
+#Thu Sep 22 10:41:14 CEST 2016
+buildNumber=174
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:32 CEST 2016
-buildNumber=2212
+#Thu Sep 22 10:41:19 CEST 2016
+buildNumber=2213
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:29 CEST 2016
-buildNumber=2204
+#Thu Sep 22 10:41:16 CEST 2016
+buildNumber=2205
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:30 CEST 2016
-buildNumber=2204
+#Thu Sep 22 10:41:16 CEST 2016
+buildNumber=2205
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:27 CEST 2016
-buildNumber=2205
+#Thu Sep 22 10:41:14 CEST 2016
+buildNumber=2206
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:33 CEST 2016
-buildNumber=175
+#Thu Sep 22 10:41:19 CEST 2016
+buildNumber=176
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:39 CEST 2016
-buildNumber=2328
+#Thu Sep 22 10:41:21 CEST 2016
+buildNumber=2329
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:41 CEST 2016
-buildNumber=63
+#Thu Sep 22 10:41:22 CEST 2016
+buildNumber=64
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:40 CEST 2016
-buildNumber=63
+#Thu Sep 22 10:41:21 CEST 2016
+buildNumber=64
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:39 CEST 2016
-buildNumber=2329
+#Thu Sep 22 10:41:20 CEST 2016
+buildNumber=2330
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:36 CEST 2016
-buildNumber=46
+#Thu Sep 22 10:41:20 CEST 2016
+buildNumber=47
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:31 CEST 2016
-buildNumber=2197
+#Thu Sep 22 10:41:18 CEST 2016
+buildNumber=2198
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:31 CEST 2016
-buildNumber=2205
+#Thu Sep 22 10:41:18 CEST 2016
+buildNumber=2206
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:31 CEST 2016
-buildNumber=2197
+#Thu Sep 22 10:41:18 CEST 2016
+buildNumber=2198
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:28 CEST 2016
-buildNumber=2204
+#Thu Sep 22 10:41:15 CEST 2016
+buildNumber=2205
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:32 CEST 2016
-buildNumber=2211
+#Thu Sep 22 10:41:19 CEST 2016
+buildNumber=2212
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:27 CEST 2016
-buildNumber=2445
+#Thu Sep 22 10:41:13 CEST 2016
+buildNumber=2446
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:28 CEST 2016
-buildNumber=2212
+#Thu Sep 22 10:41:15 CEST 2016
+buildNumber=2213
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:29 CEST 2016
-buildNumber=2212
+#Thu Sep 22 10:41:16 CEST 2016
+buildNumber=2213
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:27 CEST 2016
-buildNumber=2206
+#Thu Sep 22 10:41:14 CEST 2016
+buildNumber=2207
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 42985)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 42986)
@@ -1,2 +1,2 @@
-#Thu Sep 15 20:40:30 CEST 2016
-buildNumber=2212
+#Thu Sep 22 10:41:17 CEST 2016
+buildNumber=2213